Subject: Re: bug#7291: 24.0.50; `non-essential' is incomprehensible

From: Stefan Monnier <[email-masked]>
Date: Fri, 29 Oct 2010 13:36:11 -0400

Other than the "non-nil" part on the first line, I still don't know
what's ambiguous about the rest of the current docstring.
Your suggested wording sounds largely incomprehensible to me, so while
it may be better for some, it's clearly not good enough to replace the
current wording.

> Both parts of the story need to be presented clearly: (1) the code
> such as Tramp that conditionally disturbs the user (depending on the
> var value) and (2) the code such as Icomplete that binds the var
> during an operation that it does not want interrupted.

It's not that icomplete doesn't want an operation to be interrupted,
it's that it doesn't want this operation to disturb the user.

        Stefan